Commit 497e0528 authored by Vitaly Lipatov's avatar Vitaly Lipatov

fix small bugs

parent e19e49d2
...@@ -149,7 +149,6 @@ do ...@@ -149,7 +149,6 @@ do
echog "########## Build of `basename $i` is done in hasher $MENV #############" echog "########## Build of `basename $i` is done in hasher $MENV #############"
echo echo
LISTBUILTSH="$LISTBUILTSH$i " LISTBUILTSH="$LISTBUILTSH$i "
LASTPACKAGE=$i
done done
echo echo
......
...@@ -255,7 +255,13 @@ if [ -n "$UPLOADNOW" ] && is_gear $SPECDIR ; then ...@@ -255,7 +255,13 @@ if [ -n "$UPLOADNOW" ] && is_gear $SPECDIR ; then
PROJECTNAME=$(get_repo_name) PROJECTNAME=$(get_repo_name)
check_gear_and_tag || fatal "Can't make tag" if ! check_gear_and_tag ; then
if [ "$PREPARETASK" = "internal" ] ; then
docmd ssh $GEARHOST task rm $TASKNUMBER
fi
fatal "Can't make tag"
fi
TAG=$(get_last_tag) TAG=$(get_last_tag)
# TODO: add check for repo (as in rpmgp) and run ginit if needed # TODO: add check for repo (as in rpmgp) and run ginit if needed
......
...@@ -40,7 +40,7 @@ phelp() ...@@ -40,7 +40,7 @@ phelp()
echog " -b REPONAME binary repository name (4.1, p5, t6 and so on)" echog " -b REPONAME binary repository name (4.1, p5, t6 and so on)"
} }
while getopts :ihtb: opt; do while getopts :hitb: opt; do
case $opt in case $opt in
h) phelp; exit 0;; h) phelp; exit 0;;
t) COMMIT="--commit" ;; t) COMMIT="--commit" ;;
...@@ -86,9 +86,10 @@ pack_src_rpm $COMMIT $(drop_args "$LISTRPMARGS" s u c l f a A) ...@@ -86,9 +86,10 @@ pack_src_rpm $COMMIT $(drop_args "$LISTRPMARGS" s u c l f a A)
# TODO: use gear --hasher directly, drop myhsh # TODO: use gear --hasher directly, drop myhsh
#if rhas "$LISTNAMES" spec ; then # use later for is_gear
# set_specdir $LISTNAMES if rhas "$LISTNAMES" .spec ; then
#fi set_specdir $LISTNAMES
fi
# build in hasher # build in hasher
docmd time $ETERBUILDBIN/myhsh $MENVARG $(drop_args "$LISTRPMARGS" f u a A) $LISTBUILT docmd time $ETERBUILDBIN/myhsh $MENVARG $(drop_args "$LISTRPMARGS" f u a A) $LISTBUILT
...@@ -96,7 +97,7 @@ RESULT=$? ...@@ -96,7 +97,7 @@ RESULT=$?
# if ok and requested test install, do it # if ok and requested test install, do it
if [ "$RESULT" = "0" ] && [ -n "$INSTALLPKG" ] ; then if [ "$RESULT" = "0" ] && [ -n "$INSTALLPKG" ] ; then
BINPACKAGES=$($ETERBUILDBIN/myhsh -b $LISTBUILT) || fatal "Can't get binary packages for $LISTBUILT" BINPACKAGES=$($ETERBUILDBIN/myhsh -b $LISTBUILT | estrlist reg_exclude debuginfo -) || fatal "Can't get binary packages for $LISTBUILT"
echo echo
echog "List of binary packages:" echog "List of binary packages:"
...@@ -113,7 +114,7 @@ fi ...@@ -113,7 +114,7 @@ fi
# remove generated src.rpm # remove generated src.rpm
for i in $LISTBUILT ; do for i in $LISTBUILT ; do
estrlist has $i $LISTNAMES || rm -f $i estrlist has $i $LISTNAMES || rm -fv $i
done done
date date
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment